Page MenuHomePhabricator

Links for user names in Gerrit are double-encoded; does not open page in Firefox
Closed, ResolvedPublic

Description

If you go to https://gerrit.wikimedia.org/r/#/c/271740/ with Firefox and click on one of the user names listed under "Owner", "Reviewer", "Author", etc., the links point to https://gerrit.wikimedia.org/r/#/q/owner:dzahn%2540wikimedia.org+status:open,n,z et al. That page displays the overlay error message:

Code Review - Error
line 1:11 no viable alternative at character '%'
[Continue]

But in contrast to T127605, clicking on [Continue] will not display all open commits by the user, but an empty page (apart from the Gerrit header and footer).

Event Timeline

scfc created this task.Feb 20 2016, 7:50 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 20 2016, 7:50 PM

Please provide browser information. I've seen this with Firefox, I've never seen this with Chromium.

scfc added a comment.Feb 22 2016, 11:05 PM

I'm using indeed (mainly) Firefox, and the error occurs there. It does not happen with Konqueror.

scfc updated the task description. (Show Details)Feb 22 2016, 11:05 PM
scfc added a project: Browser-Support-Firefox.

It seams to be a double encoding problem. The correct link is
https://gerrit.wikimedia.org/r/#/q/owner:dzahn%40wikimedia.org+status:open,n,z
instead of
https://gerrit.wikimedia.org/r/#/q/owner:dzahn%2540wikimedia.org+status:open,n,z

encodeURIComponent('@') // "%40"
encodeURIComponent(encodeURIComponent('@')) // "%2540"
scfc added a comment.Mar 30 2016, 4:55 PM

If I go to https://review.openstack.org/#/c/295938/, the link at "Author" points to https://review.openstack.org/#/q/owner:sujitha.neti%2540intel.com+status:open (which works), so this issue seems to have been fixed between our Gerrit 2.8.1-4-ga1048ce and their 2.11.4-11-ga14450f.

Aklapper renamed this task from Links for user names in Gerrit does not work to Links for user names in Gerrit are double-encoded; does not open page in Firefox.Apr 3 2016, 2:14 PM
Aklapper triaged this task as Low priority.
greg added a subscriber: greg.

Update:

  • It now works (after clicking 'continue') for me in Iceweasel on the Gerrit we're currently running
  • For gerrit-new (what we'll upgrade to soon, Gerrit 2.12), it works as expected (no error that you have to click 'continue' on).

Looks good to me; emails never worked for me, now I can't find an error.

demon closed this task as Resolved.Jul 25 2016, 3:44 PM
demon claimed this task.
demon added a subscriber: demon.

Pretty sure this is fixed, per @greg. Please reopen if this is not the case.